document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_21100
--- +++ @@ -5,4 +5,4 @@ curl \ --request GET --include \ - $base_url/admin/gamestate + $base_url/gamestate
bash
d_bash_21101
--- +++ @@ -9,3 +9,6 @@ # zstyle ':autocomplete:*' config off zstyle ':completion:*' tag-order '! history-words recent-directories recent-files' '-' +if ! builtin command -v compinit > /dev/null 2>&1; then + autoload -Uz compinit && compinit -u +fi
bash
d_bash_21102
--- +++ @@ -3,12 +3,17 @@ sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv 2930ADAE8CAF5059EE73BB4B58712A2291FA4AD5 -# See https://serverfault.com/questions/746348/mongodb-install-fails-in-ubuntu-14-04-docker-container echo "deb [ arch=amd64 ] https://repo.mongodb.org/apt/ubuntu trusty/mongodb-...
bash
d_bash_21103
--- +++ @@ -16,7 +16,6 @@ PFX=${PFX:-==>} GEMS=( jekyll - bundler ) if [ ! -x /usr/local/bin/brew ]; then
bash
d_bash_21104
--- +++ @@ -1,5 +1,6 @@ # disable-copyfile prevents getting extended attribute files on mac -tar czvf ~/config.tar.gz \ +# -L to resolve symbolic links +tar czv -L -f ~/config.tar.gz \ --exclude-from ~/.gitignore_global \ --disable-copyfile \ -C ~ \
bash
d_bash_21105
--- +++ @@ -2,33 +2,39 @@ set -e +APP_NAME=${APP_NAME:-cloudsdale-web} APP_HOME=${APP_HOME:-.} CONFIG_FILE=$APP_HOME/config/application.yml -echo "Step 1: Setting up configuration" +echo " ---> setting up configuration" if [ -f $CONFIG_FILE ]; then - echo "---> $CONFIG_FILE already exists" + echo " ---> $...
bash
d_bash_21106
--- +++ @@ -1,4 +1,4 @@ #!/usr/bin/env bash GOOS=linux GOARCH=amd64 go build -o bin/data-downloader-linux-amd64 main.go GOOS=windows GOARCH=amd64 go build -o bin/data-downloader-windows-amd64.exe main.go -GOOS=darwin GOARCH=amd64 go build -o bin/data-downloader-darwin-amd64 main.go +GOOS=darwin GOARCH=amd64 go...
bash
d_bash_21107
--- +++ @@ -1,4 +1,5 @@ #!/bin/sh +version="0.1.0" rm -f $(ls | grep "\.mmip$") -"/c/Program Files/7-Zip/7z.exe" a -tzip -- AutoPlayer.mmip $(find . -type f -name "*.vbs" -o -name "*.ini") +"/c/Program Files/7-Zip/7z.exe" a -tzip -- AutoPlayer-$version.mmip $(find . -type f -name "*.vbs" -o -name "*.ini")
bash
d_bash_21108
--- +++ @@ -22,8 +22,8 @@ ./manage.py migrate # Install gems in order to compile the CSS +mkdir -p ../gems export GEM_HOME="$(cd ../gems && pwd -P)" -mkdir -p "$GEM_HOME" export PATH="$GEM_HOME/bin:$PATH" gem install --conservative --no-ri --no-rdoc compass zurb-foundation compass compile web
bash
d_bash_21109
--- +++ @@ -16,4 +16,4 @@ alias xcb='xcodebuild' alias xcp='xcode-select --print-path' -alias simulator='open $(xcode-select -p)/Platforms/iPhoneSimulator.platform/Developer/Applications/iPhone\ Simulator.app' +alias simulator='open $(xcode-select -p)/Applications/iOS\ Simulator.app'
bash
d_bash_21110
--- +++ @@ -25,16 +25,16 @@ do # ORIGINAL VERSION version="orig" - for w in $(seq 2) + for w in $(seq 64) do $lein run -- -v $version -w $w > "$result_path/$version-w$w-i$i.txt" done # TXACT VERSION version="txact" - for w in $(seq 2) + for w in $(seq 64) do ...
bash
d_bash_21111
--- +++ @@ -5,5 +5,5 @@ git clean -fdx bundle install --path "${HOME}/bundles/${JOB_NAME}" --deployment - +bundle exec rake db:mongoid:drop bundle exec rake ci:setup:rspec default
bash
d_bash_21112
--- +++ @@ -7,4 +7,5 @@ # Check for specified flake8 warnings in python files. # F401: module imported but unused -flake8 --ignore=B,C,E,F,I,N,W --select=F401 . +# F812 list comprehension redefines 'foo' from line N +flake8 --ignore=B,C,E,F,I,N,W --select=F401,F812 .
bash
d_bash_21113
--- +++ @@ -11,3 +11,11 @@ echo "Extract data..." create_tool_section_dir $galaxy_tool_dir/$section_dir +echo " Extract sequence file..." +seq_file_extraction=$section_dir/extract_sequence_file +create_copy_tool_dir $tool_dir/$seq_file_extraction $galaxy_tool_dir/$seq_file_extraction + +echo " Extract similarity ...
bash
d_bash_21114
--- +++ @@ -28,4 +28,4 @@ python manage.py loaddata /tmp/fake_agagd_data.json fi -uwsgi --http-socket 0.0.0.0:3031 --module agagd.wsgi --static-map /static=/tmp/static/ --static-map /media=/srv/media --touch-reload=/srv/agagd/wsgi.py +uwsgi --http-socket 0.0.0.0:3031 --module agagd.wsgi --static-map /static=/...
bash
d_bash_21115
--- +++ @@ -10,8 +10,9 @@ __EOF__ test -e var/ghostcms/content || cp -R content var/ghostcms -rm -rf var/ghostcms/content/themes -ln -s /themes var/ghostcms/content/themes +test -L var/ghostcms/content/themes && rm -rf var/ghostcms/content/themes +mkdir -p var/ghostcms/content/themes +ln -s /themes/* var/ghostcms...
bash
d_bash_21116
--- +++ @@ -5,4 +5,4 @@ mkdir -p ~/.vim/colors 2>/dev/null git clone https://github.com/altercation/vim-colors-solarized.git ~/.vim/colors/vim-colors-solarized/ mv ~/.vim/colors/vim-colors-solarized/colors/solarized.vim ~/.vim/colors/solarized.vim -rm -rf ~/.vim/colors/vim-colors-solarized/ +rm -rf ~/.vim/colors/v...
bash
d_bash_21117
--- +++ @@ -7,6 +7,6 @@ elif test -f /var/lib/mysql/sst_in_progress; then echo "State Snapshot Transfer in progress..." else - curl -f -o - http://localhost:8080/ || exit 1 + curl -sSf -o - localhost:8080 2>&1 || exit 1 fi exit 0
bash
d_bash_21118
--- +++ @@ -7,10 +7,11 @@ wget https://github.com/ImageMagick/ImageMagick/archive/$imagemagick.tar.gz tar -zxvf $imagemagick.tar.gz cd ImageMagick-$imagemagick -./configure --with-rsvg=yes +./configure --with-rsvg=yes --disable-openmp make sudo make install sudo ldconfig /usr/local/lib +convert -version cd ../...
bash
d_bash_21119
--- +++ @@ -4,6 +4,7 @@ dist=vivliostyle-js-$1 mkdir ${dist} cp -R dist/* ${dist}/ +cp node_modules/vivliostyle/CHANGELOG.md ${dist}/ mkdir ${dist}/viewer/ cp -R build/* ${dist}/viewer/ cp scripts/start-webserver* ${dist}/
bash
d_bash_21120
--- +++ @@ -11,9 +11,13 @@ cmds="initialize create_user design auto_design sync extract load update unload validate explain ls ping" cmds="$cmds show_dependents show_pipelines selftest" - if [ "$prev" = "arthur.py" ]; then + if [[ "$prev" = "arthur.py" ]]; then COMPREPLY=( $(compgen -W "$cm...
bash
d_bash_21121
--- +++ @@ -12,5 +12,5 @@ exit 1 fi -R --vanilla -e "tryCatch(install.packages(pkgs=$pkgs,type='source',repos='http://www.eol.ucar.edu/software/R',lib='$rlib'),error=function(e)q(status=1))" +R --vanilla -e "tryCatch(install.packages(pkgs=$pkgs,type='source',repos='https://www.eol.ucar.edu/software/R',lib='$r...
bash
d_bash_21122
--- +++ @@ -9,5 +9,6 @@ sudo -u $TATODETECT_USER nice -n 19 tatodetect-generate-ngrams.py "$SENTENCES_DETAILED_CSV" "$NGRAMS_DB_TMP" "$TAGS_CSV" chown root:root "$NGRAMS_DB_TMP" +cp "$NGRAMS_DB" "$NGRAMS_DB.old" mv "$NGRAMS_DB_TMP" "$NGRAMS_DB" systemctl restart tatodetect
bash
d_bash_21123
--- +++ @@ -28,6 +28,6 @@ for CHANGE in "activate" "deactivate" do mkdir -p "${PREFIX}/etc/conda/${CHANGE}.d" - cp "${RECIPE_DIR}/${CHANGE}.sh" "${PREFIX}/etc/conda/${CHANGE}.d/${PKG_NAME}_${CHANGE}.sh" + sed "s#!!!SP_DIR!!!#${SP_DIR}#g" "${RECIPE_DIR}/${CHANGE}.sh" > "${PREFIX}/etc/conda/${CHANGE}.d/${P...
bash
d_bash_21124
--- +++ @@ -2,7 +2,7 @@ set -e BUILDROOT=$HOME/heartbot -export PYTHONZ_ROOT=$BUILDROOT +export PYTHONZ_ROOT=$BUILDROOT/.pythonz if [[ ! -e .pythonz ]]; then wget -O - https://raw.github.com/saghul/pythonz/master/pythonz-install | bash
bash
d_bash_21125
--- +++ @@ -27,6 +27,8 @@ zle -N down-line-or-beginning-search bindkey "^[[A" up-line-or-beginning-search # Up bindkey "^[[B" down-line-or-beginning-search # Down +bindkey "^k" up-line-or-beginning-search # Ctrl-k +bindkey "^j" down-line-or-beginning-search # Ctrl-j # Add back beginning and end of line shortcut...
bash
d_bash_21126
--- +++ @@ -1,6 +1,16 @@ #!/bin/bash export KUBECONFIG=gke-kubeconfig +cluster=$(cat cluster-name) + +# Create a function to unlock the cluster. We then execute this on script exit. +# This should occur even if the script is interrupted, by a jenkins timeout, +# for example. +unlock() { + echo "releasing c...
bash
d_bash_21127
--- +++ @@ -1,5 +1,3 @@ -cd ~/ - echo "Bootstrap Ansible" curl -L https://raw.githubusercontent.com/andrewtchin/ansible-common/master/ubuntu-bootstrap.sh | sh
bash
d_bash_21128
--- +++ @@ -1,6 +1,7 @@ #!/usr/bin/env bash network=irc.tenthbit.net channel=programming +repo=eval-so/minibcs export _JAVA_OPTIONS="-Xms256m -Xmx512m" results=`mktemp` sbt update | sed -r "s/\x1B\[([0-9]{1,2}(;[0-9]{1,2})?)?[m|K]//g" > $results @@ -8,4 +9,4 @@ statuscode="$?" url=`http POST https://www.ref...
bash
d_bash_21129
--- +++ @@ -1,6 +1,12 @@ #!/bin/bash -# Creates a one time secret from stdin using onetimesecret.com and displays +# Creates a one time secret using onetimesecret.com and displays # the URL to the secret. -curl -s -F 'secret=<-' -F 'ttl=604800' \ +if [[ -n $1 ]]; then + SECRET="$*" +else + SECRET="<-" # Curl ...
bash
d_bash_21130
--- +++ @@ -36,11 +36,19 @@ echo "mktemp -u error" >&2; exit 1; } + +set +e coverage report > $coverage_report +report_exit_code=$? coverage html coverage xml -set +e cat $coverage_report rm $coverage_report + +if [ $report_exit_code = 2 ] +then + echo "ERROR: Coverage too low." +fi +exit $repo...
bash
d_bash_21131
--- +++ @@ -10,6 +10,7 @@ deb-src http://llvm.org/apt/precise/ llvm-toolchain-precise-3.6 main EOF" wget -O - http://llvm.org/apt/llvm-snapshot.gpg.key|sudo apt-key add - +sudo apt-get update sudo apt-get install clang-3.6 lldb-3.6
bash
d_bash_21132
--- +++ @@ -1,7 +1,7 @@ #!/bin/sh rabbitmqctl add_vhost "travis.development" -rabbitmqctl add_user travis_worker travis_worker_password +rabbitmqctl add_user travisci_worker travisci_worker_password -rabbitmqctl set_permissions -p "travis.development" travis_worker ".*" ".*" ".*" -rabbitmqctl set_permissions -p...
bash
d_bash_21133
--- +++ @@ -4,9 +4,13 @@ for f in hsfiles/*.hsfiles do + BASE=`basename $f` + cat $f | \ # This next one is a hack... sed s@PROJECTNAME_LOWER@{{name}}@g | \ sed s@PROJECTNAME@{{name}}@g > \ - ../stack-templates/$(basename $f) + ../stack-templates/$BASE + + cp .....
bash
d_bash_21134
--- +++ @@ -8,7 +8,7 @@ if [[ $REPLY =~ ^[Yy]$ ]]; then # Reset database through Heroku Postgres CLI echo "⚙ 💻 ⚙ heroku pg:reset..." - heroku pg:reset DATABASE_URL -a somerville-teacher-tool-demo --confirm somerville-teacher-tool-demo + heroku pg:reset DATABASE_URL -a $DEMO_HEROKU_APP_NAME --confirm $DEM...
bash
d_bash_21135
--- +++ @@ -6,8 +6,11 @@ wget https://www.robindebaets.be/LeaderHeadsAPI.jar && mvn install:install-file -Dfile=LeaderHeadsAPI.jar -DgroupId=me.robin -DartifactId=leaderheads -Dversion=3.1.6 -Dpackaging=jar +jdk_switcher use openjdk8 + git clone https://github.com/Gnat008/perworldinventory-kt.git && cd perworld...
bash
d_bash_21136
--- +++ @@ -4,7 +4,8 @@ sed -i -e 's/^zend.httpd_uid=.*/zend.httpd_uid=900/' /usr/local/zend/etc/conf.d/ZendGlobalDirectives.ini # Set ZendServer permissions to allow php-fpm to run as vagrant user. - +find /usr/local/zend -user www-data -exec chown vagrant {} \; +find /usr/local/zend -user nginx -exec chown vagr...
bash
d_bash_21137
--- +++ @@ -6,7 +6,7 @@ mkdir -p $team_repo -ln -s $project_dir $PWD +ln -s $PWD $project_dir cd $project_dir glade install
bash
d_bash_21138
--- +++ @@ -1,3 +1,3 @@ #!/bin/bash vagrant ssh -c "rsync -avP --exclude vbox --exclude .chef /chef-bcpc-host/ /home/vagrant/chef-bcpc/" -vagrant ssh -c "cd chef-bcpc && knife environment from file environments/Test-Laptop-Mirror.json && knife role from file roles/*.json && knife cookbook upload -a -o cookbooks" +v...
bash
d_bash_21139
--- +++ @@ -1,5 +1,6 @@ #!/usr/bin/env bash +gpg --keyserver hkp://keys.gnupg.net --recv-keys D39DC0E3 curl -sSL https://get.rvm.io | bash -s stable source /home/vagrant/.rvm/scripts/rvm rvm --default use --install 2.1.5
bash
d_bash_21140
--- +++ @@ -5,9 +5,8 @@ set -e set -x -export PATH="$PATH:/usr/lib/pypy-upstream/bin" - -sudo PATH=$PATH easy_install-pypy pip -sudo PATH=$PATH pip install -U virtualenv kegberry +sudo bash -c "DEBIAN_FRONTEND=noninteractive apt-get -yq install python-setuptools" +sudo easy_install pip +sudo pip install -U virtua...
bash
d_bash_21141
--- +++ @@ -9,7 +9,7 @@ # PACKAGE_LIST contains a list of "starting" packages and the # dependencies of those should suck in the rest of the packages in # add_packages.xml. -PACKAGE_LIST="libffi intltool pixman gperf swig libxslt ragel" +PACKAGE_LIST="libffi intltool pixman gperf libxslt ragel" for PACKAGE in $PA...
bash
d_bash_21142
--- +++ @@ -19,7 +19,7 @@ diff -q reprozip/reprozip/common.py reprounzip/reprounzip/common.py diff -q reprozip/reprozip/utils.py reprounzip/reprounzip/utils.py find reprozip reprounzip reprounzip-* .travis -name '*.py' -or -name '*.sh' -or -name '*.h' -or -name '*.c' | (set +x; while read i...
bash
d_bash_21143
--- +++ @@ -12,10 +12,8 @@ case ${OS_VERSION%%.*} in 7) sudo yum -y remove git - sudo yum -y localinstall https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm \ - https://repo.ius.io/ius-release-el7.rpm - sudo yum-config-manager --disable epel ius - ...
bash
d_bash_21144
--- +++ @@ -24,4 +24,9 @@ eval $(fasd --init auto) fi -[[ -s $HOME/dot-files-forest/LS_COLORS/LS_COLORS ]] && eval $(dircolors -b $HOME/dot-files-forest/LS_COLORS/LS_COLORS) + +if [[ "$OS_IS_LINUX" = true ]]; then + alias gdircolors=dircolrs +fi + +[[ -s $HOME/dot-files-forest/LS_COLORS/LS_COLORS ]] && eva...
bash
d_bash_21145
--- +++ @@ -1,9 +1,6 @@ source ~/.bashrc cd . -[ -d jenkins ] && rm -rf jenkins -pwd -mkdir jenkins -bundle install > jenkins/bundler.txt -rake db:schema:load > jenkins/schema_load.txt -SPEC_OPTS="--format html" rake rspec > jenkins/rspec.html -CUCUMBER_FORMAT=html rake cucumber > jenkins/cucumber.html +bundle ins...
bash
d_bash_21146
--- +++ @@ -4,7 +4,7 @@ # Use of this source code is governed by a BSD-style license that can be # found in the LICENSE file. # -# A script to setup symbolic links needed for Chrome's PyAuto framwork. +# A script to setup symbolic links needed for Chrome's PyAuto framework. ln -f -s /opt/google/chrome/chrome $(...
bash
d_bash_21147
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash for trsid; do rake data/${trsid}.zip - gdal_translate /vsizip/data/${trsid}.zip/${trsid}.jpg ${trsid}.tif + gdal_translate -co TILED=YES -outsize 50% 50% /vsizip/data/${trsid}.zip/${trsid}.jpg ${trsid}.tif gdaladdo ${trsid}.tif 2 4 6 8 16 done
bash
d_bash_21148
--- +++ @@ -13,14 +13,6 @@ WORKING_DIR=$(basename $(pwd)) fi - echo -e "\033[0;32m${WORKING_DIR}\033[0m: verifying npm dependencies" - npm ls > /dev/null 2>&1 - - if [ $? -eq 0 ]; then - exit 0 - fi - - echo -e "\033[0;33m${WORKING_DIR}\033[0m: installing npm dependencies" npm install $NPM_ARGS ...
bash
d_bash_21149
--- +++ @@ -1,3 +1,5 @@ +#!/usr/bin/env bash + # # Copyright (c) 2016 Red Hat and/or its affiliates # @@ -6,9 +8,10 @@ # which accompanies this distribution, and is available at # http://www.eclipse.org/legal/epl-v10.html # +# Contributors: +# Red Hat - Initial API and implementation +# -#!/usr/bin/env...
bash
d_bash_21150
--- +++ @@ -5,8 +5,8 @@ exit 1 fi -mkdir -p artefacts -rm -f artefacts/* +mkdir -p artefacts; rm -f artefacts/* +mkdir -p output; rm -Rf output/* if [ -n "${CLIENT_SECRETS}" ]; then FETCH_ARGS="${FETCH_ARGS} --client-secrets ${CLIENT_SECRETS}"; fi if [ -n "${OAUTH_TOKENS}" ]; then FETCH_ARGS="${FETCH_ARGS...
bash
d_bash_21151
--- +++ @@ -6,7 +6,7 @@ echo 'Usage: mute|-x[%|dB]|+x[%|dB]' exit 0 fi -device=$(pactl list short sinks | grep "RUNNING" | cut -f 1) +device=$(pactl info | grep 'Default Sink' | cut -f 3 -d ' ') if [ "$1" = "mute" ]; then pactl set-sink-mute "${device}" toggle
bash
d_bash_21152
--- +++ @@ -2,9 +2,9 @@ clear -printf "layout (default: 'default'): " +printf "layout (default: 'post'): " read layout -: ${layout:="default"} +: ${layout:="post"} printf "date (default: Y-m-d): " read date @@ -14,8 +14,13 @@ read title : ${title:="untitled"} -printf "category: " -read category +printf ...
bash
d_bash_21153
--- +++ @@ -1 +1,6 @@ -export EDITOR='nvim' +# NeoVim as default editor if installed +if [ -x "$(command -v nvim)" ] ; then + export EDITOR='nvim' +else + export EDITOR='vim' +fi
bash
d_bash_21154
--- +++ @@ -13,7 +13,7 @@ echo "Starting Junebug with redis://$REDIS_HOST:$REDIS_PORT/$REDIS_DB and amqp://$AMQP_USER:$AMQP_PASSWORD@$AMQP_HOST:$AMQP_PORT/$AMQP_VHOST" -jb \ +exec jb \ --interface $JUNEBUG_INTERFACE \ --port $JUNEBUG_PORT \ --redis-host $REDIS_HOST \
bash
d_bash_21155
--- +++ @@ -1,5 +1,6 @@ if [[ $SSH_CONNECTION == "" ]]; then - eval `keychain --eval keychain $(ls ~/.ssh | grep -v -e pub -e authorized_keys -e known_hosts -e config) ` + eval `keychain --eval --agents gpg` + export SSH_AUTH_SOCK="$(gpgconf --list-dirs agent-ssh-socket)" fi # vim:ft=zsh
bash
d_bash_21156
--- +++ @@ -31,7 +31,7 @@ ;; esac done - unset ${lib_header} + unset "${lib_header}" # recurse on other included libraries includes=$(grep -o 'include [a-zA-Z_/]*\.sh' "${current_lib}" | cut -d' ' -f2)
bash
d_bash_21157
--- +++ @@ -8,6 +8,7 @@ OUTPUT_PATH="/tmp/sbm" rm -rf "${OUTPUT_PATH}" +mkdir -p ${OUTPUT_PATH} docker-compose run \ --entrypoint "python3 /app/beam_sbm.py \
bash
d_bash_21158
--- +++ @@ -38,3 +38,6 @@ git clone git@github.com:albertyw/jEdit-settings rm -r ~/Library/jEdit mv jEdit-settings ~/Library/jEdit + +# Install inconsolata font +open https://fonts.google.com/specimen/Inconsolata
bash
d_bash_21159
--- +++ @@ -9,6 +9,8 @@ # Disables all the Ctrl-Alt-Fn shortcuts for switching between virtual terminals # if we're in verified boot mode. Otherwise, disables only Fn (n>=3) keys. MAXVT=0 +# If you are editing this if-condition, please also update +# platform/init/hotkey-access.conf. if crossystem "cros_debug?1" ...
bash
d_bash_21160
--- +++ @@ -16,13 +16,13 @@ done < ssl_sites.txt if [ "$COUNTER_FAILED" -gt "5" ]; then - echo "TEST $0 FAILED $COUNTER_OK $COUNTER_OK" + echo "TEST $0 FAILED $COUNTER_OK vs $COUNTER_FAILED" exit 1 fi if [ "$COUNTER_OK" -lt "410" ]; then - echo "TEST $0 FAILED $COUNTER_OK $COUNTER_OK" + echo ...
bash
d_bash_21161
--- +++ @@ -10,8 +10,9 @@ source /cvmfs/oasis.opensciencegrid.org/osg/modules/lmod/5.6.2/init/bash +module load gcc/4.6.2 module load madgraph/2.1.2 -cd input +cd input_files mg5_aMC -f pp2z.madgraph cd pp2z ./bin/generate_events --laststep=pgs -f
bash
d_bash_21162
--- +++ @@ -13,13 +13,12 @@ function run { gem list --local bundler | grep bundler || gem install bundler --no-ri --no-rdoc - echo 'Running bundle exec rspec spec against rails 3.1.3...' - MINI_AUTH_RAILS_VERSION=3.1.3 bundle update rails - MINI_AUTH_RAILS_VERSION=3.1.3 bundle exec rspec spec - - echo 'Runn...
bash
d_bash_21163
--- +++ @@ -7,6 +7,7 @@ export TEXINPUTS=".:${abs_dir}/templates/.//:$TEXINPUTS" +old_cwd=$(pwd) #change to specified directory, if given if [ -n "$1" ]; then cd $1 @@ -36,3 +37,8 @@ pdflatex -shell-escape paper.tex pdflatex -shell-escape paper.tex + +# Revert to old directory +if [ "$old_cwd" != "$(pwd...
bash
d_bash_21164
--- +++ @@ -1,5 +1,4 @@ GIT=https://gitlab.redox-os.org/redox-os/drivers.git -BRANCH=redox-unix CARGOBUILD="build" CARGOFLAGS="--all"
bash
d_bash_21165
--- +++ @@ -26,4 +26,10 @@ # Installing Python dependencies in virtualenv echo "Installing Python dependencies inside the virtualenv..." +if [ "$CC" != "gcc" ]; then + echo "You must use GCC to install the Python dependencies, please fix" \ + "your \$CC environment variable." + exit 1 +fi + pip install -r requi...
bash
d_bash_21166
--- +++ @@ -22,7 +22,7 @@ # run clang tidy for all source files cat compile_commands.json | jq -r '.[].file' \ - | grep -E "(^src/core/|^src/cpp/|^test/core/|^test/cpp/)" \ + | grep -E "(^include/|^src/core/|^src/cpp/|^test/core/|^test/cpp/)" \ | grep -v -E "/upb-generated/|/upbdefs-generated/" \ | sort \...
bash
d_bash_21167
--- +++ @@ -23,9 +23,8 @@ source tools/internal_ci/helper_scripts/prepare_build_linux_rc # Update submodule and commit it so changes are passed to Docker -(cd third_party/$RUN_TESTS_FLAGS && git pull origin master) +(cd third_party/$RUN_TESTS_FLAGS && git fetch --all && git checkout origin/master) tools/buildgen...
bash
d_bash_21168
--- +++ @@ -1,6 +1,6 @@ -#!/bin/bash +#!/bin/bash -ex # -# Copyright (c) 2008-2009 rPath, Inc. +# Copyright (c) 2008 rPath, Inc. # # This program is distributed under the terms of the Common Public License, # version 1.0. A copy of this license should have been distributed with this @@ -17,6 +17,17 @@ DEST=/l/sc...
bash
d_bash_21169
--- +++ @@ -2,5 +2,5 @@ # Improve Emacs colors when running inside terminal export TERM=xterm-256color - - +export LC_ALL=en_US.UTF-8 +export LANG=C
bash
d_bash_21170
--- +++ @@ -35,5 +35,5 @@ display_result $? 2 "Front end code style check" ## Code coverage -py.test -n4 -x --cov=app --cov-report=term-missing tests/ --junitxml=test_results.xml --strict +py.test -n4 --maxfail=10 --cov=app --cov-report=term-missing tests/ --junitxml=test_results.xml --strict display_result $? 3...
bash
d_bash_21171
--- +++ @@ -7,7 +7,7 @@ fi # The rest of my fun git aliases -alias ga='git add' +alias ga='git add --all' alias gl='git pull --prune' alias glog="git log --graph --pretty=format:'%Cred%h%Creset %an: %s - %Creset %C(yellow)%d%Creset %Cgreen(%cr)%Creset' --abbrev-commit --date=relative" alias gp='git push origin...
bash
d_bash_21172
--- +++ @@ -2,8 +2,14 @@ hash -d python3 ipython3 +extra () { + local wwts_="https://pypi.wwts.com" + local extra_="--extra-index-url=$wwts_" + curl -s --head --request GET $wwts_ >/dev/null 2>&1 && echo "--extra-index-url=$wwts_" +} + pip_upgrade () { - python3 -m pip install --extra-index-url=htt...
bash
d_bash_21173
--- +++ @@ -6,4 +6,4 @@ # Ted: contact me when you make any changes -go test -race -timeout="60s" -coverprofile="coverage.out" -covermode="atomic" ./... +go test -race -timeout="90s" -coverprofile="coverage.out" -covermode="atomic" ./...
bash
d_bash_21174
--- +++ @@ -20,4 +20,6 @@ sed 's/HWADDR.*/HWADDR='"$mac"'/' /etc/sysconfig/network-scripts/ifcfg-eth0 > /tmp/ifcfg$$ mv /tmp/ifcfg$$ /etc/sysconfig/network-scripts/ifcfg-eth0 + + shutdown -r now fi
bash
d_bash_21175
--- +++ @@ -2,9 +2,12 @@ # Download and extract the HERE SDK. curl -s -S -o HERE_SDK.zip "$HERE_SDK_URL" -unzip -j -d 'HERE_SDK' -o 'HERE_SDK.zip' -unzip -j 'HERE_SDK/HERE-sdk.zip' 'HERE-sdk/libs/HERE-sdk.aar' -d 'HERE_SDK' -rm 'HERE_SDK.zip' + +# Extract the downloaded outer ZIP file. +unzip -j -o 'HERE_SDK.zip'...
bash
d_bash_21176
--- +++ @@ -17,7 +17,9 @@ fi ./misc/test-ci/run-testsuite.sh || exit 1 -./misc/test-ci/run-testsuite.sh --selenium-only || exit 1 +if [ "$LOCAL_TEST" = "no" ]; then + ./misc/test-ci/run-testsuite.sh --selenium-only || exit 1 +fi ./misc/test-ci/multitest.sh || exit 1 if [ "$LOCAL_TEST" = "no" ]; then
bash
d_bash_21177
--- +++ @@ -1,4 +1,4 @@ -./configure --prefix=$PREFIX --enable-shared --disable-java --disable-dependency-tracking --with-readline=$PREFIX --with-xml-prefix=$PREFIX CFLAGS="-I${PREFIX}/include -I${PREFIX}/include/libxml2" +./configure --prefix=$PREFIX --enable-shared --disable-java --disable-dependency-tracking --wit...
bash
d_bash_21178
--- +++ @@ -14,4 +14,4 @@ file=$(basename "${path}") echo " ... ${path} -> ${VIRTUAL_ENV}/bin/${file}" ln -s "${path}" "${VIRTUAL_ENV}/bin/${file}" -done < <(find "${HOME}/.cabal/bin" -type f -print0) +done < <(find "${HOME}/virtualenv/.cabal/bin" -type f -print0)
bash
d_bash_21179
--- +++ @@ -3,10 +3,10 @@ eval `/usr/libexec/path_helper -s` fi -smartmeter_data=`curl --silent $igor_protocol://$igor_host/p1?format=xml` +smartmeter_data=`curl --silent $igor_protocol://$igor_host/p1?format=json` case x$smartmeter_data in *smartMeter*) - echo $smartmeter_data | igorVar --put application/xml ...
bash
d_bash_21180
--- +++ @@ -15,7 +15,12 @@ # specific language governing permissions and limitations # under the License. echo "Will replace http with https in the generated maven site ..." -read -p "Please abort in case you haven't generated the site or press RETURN to continue." -cd ../target/site +if [ -z $1 ]; + then + read -...
bash
d_bash_21181
--- +++ @@ -2,7 +2,12 @@ # # Disable UFW ufw disable +# Restart tentacles to get the right IP address. +octo tentacles stop +octo tentacles start # Cleanup to shrink vagrant images. +apt-get update +apt-get upgrade -y apt-get -y autoremove apt-get -y clean dd if=/dev/zero of=/EMPTY bs=1M
bash
d_bash_21182
--- +++ @@ -4,6 +4,11 @@ secret=$1 type=$2 + +if [ "$type" == "release" ] +then + type="1" +fi docker run -e BROKER_RELEASE=$type -v $(pwd):/opt/orion --workdir=/opt/orion fiware/orion-ci:rpm8 make rpm
bash
d_bash_21183
--- +++ @@ -26,7 +26,7 @@ exit 1 fi if $VALID && $REVSIG; then - echo "$INPUT" | gpg --trust-model always "$@" | grep "\[GNUPG:\] \(NEWSIG\|SIG_ID\|VALIDSIG\)" 2>/dev/null + echo "$INPUT" | gpg --trust-model always "$@" | grep "^\[GNUPG:\] \(NEWSIG\|SIG_ID\|VALIDSIG\)" 2>/dev/null echo "$GOODREVSIG" else ech...
bash
d_bash_21184
--- +++ @@ -1,7 +1,5 @@ #! /usr/bin/env bash -git clone https://github.com/geramirez/concourse-filter -pushd concourse-filter - go build - exec &> >(./concourse-filter) -popd +go install github.com/geramirez/concourse-filter +export CREDENTIAL_FILTER_WHITELIST=`env | cut -d '=' -f 1 | grep -v '^_$' | xargs echo | ...
bash
d_bash_21185
--- +++ @@ -1 +1 @@ -jsdoc -p -d confluence -t /usr/local/bin/jsdoc/templates/confluence mercury-doc-test.js webrtc.js webrtc/event.js webrtc/client.js webrtc/identity.js webrtc/endpoints.js webrtc/signaling.js webrtc/media.js +jsdoc -p -d confluence -t /usr/local/bin/jsdoc/templates/confluence-jsdoc-template mercury...
bash
d_bash_21186
--- +++ @@ -18,3 +18,4 @@ alias tmp="cd /tmp" alias workspace="cd ~/workspace" alias www="cd /Library/WebServer/Documents" +alias ww="www"
bash
d_bash_21187
--- +++ @@ -1,6 +1,12 @@ #!/bin/sh NAME=elada.cov -lcov --quiet --base-directory . --directory . -c --include "*/ada-el/src/*" -o $NAME +lcov --quiet --base-directory . --directory . -c -o $NAME +lcov --quiet --remove $NAME "/usr*" -o $NAME +lcov --quiet --remove $NAME "/build*" -o $NAME +lcov --quiet --remove $NAM...
bash
d_bash_21188
--- +++ @@ -21,7 +21,7 @@ LIB_VERSION=$(node tests/lib-version.js) if [ -z "$CIRCLE_TAG" ]; then - COMMIT_HASH= echo $CIRCLE_SHA1 | cut -c 1-6 + COMMIT_HASH=`echo $CIRCLE_SHA1 | cut -c 1-6` LIB_VERSION="$LIB_VERSION-rc-$COMMIT_HASH" fi
bash
d_bash_21189
--- +++ @@ -5,9 +5,9 @@ echo 2. Send the service to background with CTRL+Z echo 3. Restart the stopped job in the background by typing 'bg' echo 4. Exit from shell -echo 5. Verify service is still running by checking -echo .. TEST: http://localhost:7070/brit/public-key or -echo .. LIVE: https://multibit.or...
bash
d_bash_21190
--- +++ @@ -23,18 +23,15 @@ else echo "mysqld running under wrong context:" ps -AZ | grep -e 'mysqld$' - echo "Expected: ${expected_mysqld_cont}" exitcode=1 fi expected_sock_cont=mysqld_var_run_t -expected_sock_cont2=mysqld_db_t -if ls -AZ /var/lib/mysql/mysql.sock | grep -e ${expected_sock_cont} -e ${...
bash
d_bash_21191
--- +++ @@ -8,3 +8,7 @@ # Installation on CentOS requires v7 pkg_mgr install open-vm-tools + +# The above installation adds a PAM configuration with 'nullok' values in it. +# We need to get rid of those as per stig V-38497. +sed -i -r 's/\bnullok[^ ]*//g' $chroot/etc/pam.d/vmtoolsd
bash
d_bash_21192
--- +++ @@ -6,9 +6,9 @@ set -ev # Fetch and build updated version of Doxygen from source. -wget https://github.com/doxygen/doxygen/archive/Release_1_8_14.zip -unzip Release_1_8_14.zip -mv doxygen-Release_1_8_14 $HOME/doxygen +wget https://github.com/doxygen/doxygen/archive/Release_1_8_15.zip +unzip Release_1_8_15...
bash
d_bash_21193
--- +++ @@ -4,7 +4,7 @@ export BUILD_DIR=${BUILD_DIR:-/tmp/vmkite-images} export HASHES_DIR=${BUILD_DIR}/hashes/${BUILDKITE_BRANCH} export OUTPUT_DIR=${BUILD_DIR}/output/${BUILDKITE_BUILD_ID} -export PACKER_CACHE_DIR=$BUILD_DIR/.packer +export PACKER_CACHE_DIR=$HOME/.packer_cache hash_files() { find "$@" -ty...
bash
d_bash_21194
--- +++ @@ -1,5 +1,5 @@ # Open iOS Simulator from command line -alias ios="open /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneSimulator.platform/Developer/Applications/iPhone\ Simulator.app" +alias ios="open /Applications/Xcode.app/Contents/Developer/Applications/Simulator.app" # Clear Xcode's Derive...
bash
d_bash_21195
--- +++ @@ -1,4 +1,4 @@ - #!/bin/bash +#!/bin/bash set -e # Super simple release script for browsertime # Lets use it it for now and make it better over time :) @@ -6,7 +6,7 @@ # npm install --global np np $1 -PACKAGE_VERSION=$(grep -m1 version package.json | awk -F: '{ print $2 }' | sed 's/[", ]//g') +PACKAGE...
bash
d_bash_21196
--- +++ @@ -1,3 +1,4 @@ +#!/bin/sh # Copyright (c) 2012 The Chromium Authors. All rights reserved. # Use of this source code is governed by a BSD-style license that can be # found in the LICENSE file.
bash
d_bash_21197
--- +++ @@ -1,7 +1,56 @@ #! /bin/bash -cd $TRAVIS_BUILD_DIR/examples/llvm-projects +function setup_old_repos() { + CLANG_TOOLS_EXTRA_DIR="$LLVM_PROJECTS_DIR/llvm/tools/clang/tools/extra" + rm -rf $CLANG_TOOLS_EXTRA_DIR + mkdir -p $CLANG_TOOLS_EXTRA_DIR + pushd $CLANG_TOOLS_EXTRA_DIR + git clone http...
bash
d_bash_21198
--- +++ @@ -9,5 +9,5 @@ fi source "$curdir/env/bin/activate" -python -m lgid.main "$@" +PYTHONIOENCODING=UTF-8 python -m lgid.main "$@" deactivate
bash
d_bash_21199
--- +++ @@ -1,2 +1,3 @@ #!/usr/bin/env bash +GIT_BRANCH=${GIT_BRANCH:-$(git rev-parse --abbrev-ref HEAD)} [[ $GIT_BRANCH =~ ^release ]] && ./gradlew -Pbintray_user=$BINTRAY_USER -Pbintray_key=$BINTRAY_KEY release bintrayUpload
bash